org.springframework.cloud.dataflow.shell.command.support

## Enum OpsType

- java.lang.Object
- - java.lang.Enum<OpsType>
  - - org.springframework.cloud.dataflow.shell.command.support.OpsType

- All Implemented Interfaces:
    Serializable, Comparable<OpsType>

      public enum OpsType
      extends Enum<OpsType>

  Author:
    Gunnar Hillert

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AGGREGATE_COUNTER`
    `APP_REGISTRY`
    `COMPLETION`
    `COUNTER`
    `FIELD_VALUE_COUNTER`
    `JOB`
    `RUNTIME`
    `STREAM`
    `TASK`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OpsType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OpsType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STREAM

          public static final OpsType STREAM

    - #### COUNTER

          public static final OpsType COUNTER

    - #### FIELD_VALUE_COUNTER

          public static final OpsType FIELD_VALUE_COUNTER

    - #### AGGREGATE_COUNTER

          public static final OpsType AGGREGATE_COUNTER

    - #### TASK

          public static final OpsType TASK

    - #### JOB

          public static final OpsType JOB

    - #### APP_REGISTRY

          public static final OpsType APP_REGISTRY

    - #### COMPLETION

          public static final OpsType COMPLETION

    - #### RUNTIME

          public static final OpsType RUNTIME

  - ### Method Detail

    - #### values

          public static OpsType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OpsType c : OpsType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static OpsType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.